Bug 830882 - SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'execute' accesses on the file /run/user/tneuber/.orc/orcexec.nqWUoY (deleted).
SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'ex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f027c262ec6fbde1207ec960bd6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 11:01 EDT by Thomas Neuber
Modified: 2012-06-16 20:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Neuber 2012-06-11 11:01:04 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Mo 11 Jun 2012 17:00:26 CEST

description:
:SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'execute' accesses on the file /run/user/tneuber/.orc/orcexec.nqWUoY (deleted).
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If sie denken, dass gst-plugin-scanner standardmässig erlaubt sein sollte, execute Zugriff auf orcexec.nqWUoY (deleted) file zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:Do
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:gstreamer_home_t:s0
:Target Objects                /run/user/tneuber/.orc/orcexec.nqWUoY (deleted) [
:                              file ]
:Source                        gst-plugin-scan
:Source Path                   /usr/libexec/gstreamer-0.10/gst-plugin-scanner
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           gstreamer-0.10.36-1.fc17.x86_64
:                              gstreamer-0.10.36-1.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon
:                              May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mo 11 Jun 2012 16:59:51 CEST
:Last Seen                     Mo 11 Jun 2012 16:59:51 CEST
:Local ID                      b3b6f3da-da5d-4618-b568-6f3c51b08a62
:
:Raw Audit Messages
:type=AVC msg=audit(1339426791.502:105): avc:  denied  { execute } for  pid=2778 comm="gst-plugin-scan" path=2F72756E2F757365722F746E65756265722F2E6F72632F6F7263657865632E6E7157556F59202864656C6574656429 dev="tmpfs" ino=29450 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:gstreamer_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339426791.502:105): arch=x86_64 syscall=mmap success=yes exit=140182742609920 a0=0 a1=10000 a2=5 a3=1 items=0 ppid=2777 pid=2778 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gst-plugin-scan exe=/usr/libexec/gstreamer-0.10/gst-plugin-scanner subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gst-plugin-scan,thumb_t,gstreamer_home_t,file,execute
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-11 11:34:02 EDT
Fixed in selinux-policy-3.10.0-130.fc17
Comment 2 Fedora Update System 2012-06-11 17:03:01 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:59:53 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:04:51 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.